<table style="border-collapse: separate; border-spacing: 0 1rem; width: 100%;">
    {% for category, details in evaluation_results.items() %}
    <tr>
        <td colspan="2" style="border: 1px solid #d1d5db; border-radius: 0.375rem; padding: 1rem; background-color: #fff;">
            <div class="no-page-break" style="display: flex; justify-content: space-between; align-items: center; background-color: #f3f4f6; border-radius: 0.375rem; padding: 1rem;">
                {% if details.score == 100 %}
                <div class="no-page-break" style="display: flex; align-items: center; color: #047857;">
                    <svg class="no-page-break w-6 h-6 mr-2" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                        <path class="no-page-break" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 13l4 4L19 7" />
                    </svg>
                    <h2 class="no-page-break text-xl font-bold">{{ category }} - Passed</h2>
                </div>
                {% else %}
                <div class="no-page-break" style="display: flex; align-items: center; color: #b91c1c;">
                    <svg class="no-page-break w-6 h-6 mr-2" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                        <path class="no-page-break" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
                    </svg>
                    <h2 class="no-page-break text-xl font-bold">{{ category }} - Failed</h2>
                </div>
                {% endif %}
                <div class="no-page-break" style="position: relative; width: 12rem; margin-right: 1.5rem;">
                    <div class="no-page-break" style="position: relative; width: 100%; height: 1rem; background-color: #e5e7eb; border-radius: 0.375rem; overflow: hidden; margin-left: 1rem; margin-right: 1.5rem;">
                        <div class="no-page-break" style="position: absolute; top: 0; left: 0; height: 100%; background-color: #10b981; width: {{ details.score }}%;"></div>
                        <div class="no-page-break" style="position: absolute; top: 0; height: 100%; background-color: #ef4444; width: {{ 100 - details.score }}%; left: {{ details.score }}%;"></div>
                    </div>
                    <div class="no-page-break" style="position: relative; width: 100%; margin-top: 0.15rem; font-size: 0.75rem; font-weight: 600; left: {{ details.score - 1 }}%;">
                        {{ details.score }}%
                    </div>
                </div>
            </div>

            {% for key, value in details.items() if key != 'score' %}
            <div style="margin-top: 1rem;">
                {% if value.score == 100 %}
                <div style="display: flex; justify-content: space-between; align-items: center; background-color: #e5e7eb; padding: 1rem; cursor: pointer;" onclick="toggleDetailBody(this)">
                    <h3 class="text-lg font-semibold">{{ key }}</h3>
                    <div style="display: flex; align-items: center;">
                        <span class="no-page-break" style="font-size: 0.875rem; color: #6b7280; margin-right: 0.5rem;">Score: {{ value.score }}%</span>
                        <svg class="no-page-break arrow-icon w-5 h-5" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7" />
                        </svg>
                    </div>
                </div>
                {% else %}
                <div style="display: flex; justify-content: space-between; align-items: center; background-color: #e5e7eb; padding: 1rem; cursor: pointer; border-width: 2px; border-color: red;" onclick="toggleDetailBody(this)">
                    <h3 class="text-lg font-semibold" style="color: #b91c1c;">{{ key }}</h3>
                    <div style="display: flex; align-items: center;">
                        <span class="no-page-break" style="font-size: 0.875rem; color: #b91c1c; margin-right: 0.5rem;">Score: {{ value.score }}%</span>
                        <svg class="no-page-break arrow-icon w-5 h-5" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7" />
                        </svg>
                    </div>
                </div>
                {% endif %}
            </div>
            <div style="display: none; margin-top: 1rem; padding: 1rem; background-color: #f9fafb; gap: 1rem;">
                <div style="display: grid; grid-template-columns: repeat(2, 1fr); gap: 1rem;">
                    <div style="padding-right: 0.5rem;">
                        <p class="no-page-break"><strong>Type:</strong> {{ value.type }}</p>
                        <p class="no-page-break"><strong>Evaluation Method:</strong> {{ value.method }}</p>
                        <p class="no-page-break"><strong>Evaluation Criteria:</strong> {{ value.criteria }}</p>
                        {% for i in range(value.question|length) %}
                        {% if category == "TRANSPARENCY" %}
                        <div class="no-page-break" style="background-color: #f3f4f6; border-radius: 0.375rem; padding: 1rem; margin-top: 0.5rem;">
                            <p class="no-page-break"><strong>Reasoning:</strong> {{ value.answer }}</p>
                            <p class="no-page-break"><strong>Score:</strong> {{ value.score_list_single_question[i] }}%</p>
                        </div>
                        {% elif category == "ROBUSTNESS" or (key == "EQUITY") %}
                        <div class="no-page-break" style="background-color: #f3f4f6; border-radius: 0.375rem; padding: 1rem; margin-top: 0.5rem;">
                            <p class="no-page-break"><strong>Answer:</strong> {{ value.answer[i] }}</p>
                            <p class="no-page-break"><strong>Score:</strong> {{ value.score_list_single_question[0] }}%</p>
                        </div>
                        {% elif category == "SOUNDNESS" or (key == "COHERENCE") %}
                        <div class="no-page-break" style="background-color: #f3f4f6; border-radius: 0.375rem; padding: 1rem; margin-top: 0.5rem;">
                            <p class="no-page-break"><strong>Question:</strong> {{ value.question[i] }}</p>
                            <p class="no-page-break"><strong>Answer:</strong> {{ value.answer[i] }}</p>
                            <p class="no-page-break"><strong>Score:</strong> {{ value.score_list_single_question[i] }}%</p>
                        </div>
                        {% else %}
                        <div class="no-page-break" style="background-color: #f3f4f6; border-radius: 0.375rem; padding: 1rem; margin-top: 0.5rem;">
                            <p class="no-page-break"><strong>Answer:</strong> {{ value.answer[i] }}</p>
                            <p class="no-page-break"><strong>Score:</strong> {{ value.score_list_single_question[i] }}%</p>
                        </div>
                        {% endif %}
                        {% endfor %}
                    </div>
                    <div style="padding-left: 0.5rem;">
                        <div>
                            <h3 class="no-page-break text-lg font-semibold">How to improve the score / Mitigation</h3>
                            <p class="no-page-break">{{ value.mitigation }}</p>
                        </div>
                    </div>
                </div>
            </div>
            {% endfor %}
        </td>
    </tr>
    {% endfor %}
</table>

<script>
    function toggleDetailBody(header) {
        const body = header.parentNode.nextElementSibling;
        body.style.display = body.style.display === 'none' ? 'block' : 'none';
        const icon = header.querySelector('.arrow-icon');
        if (icon) {
            icon.classList.toggle('rotate');
        }
    }
</script>

<style>
    .no-page-break {
        page-break-inside: avoid;
    }
</style>